#!/usr/bin/env bash


file="/etc/wpa_supplicant/wpa_supplicant-monopoly.conf"

ssid=""
psk=""

# Parse arguments
while getopts ":s:p:" opt; do
  case ${opt} in
    s )
      ssid="$OPTARG"
      ;;
    p )
      psk="$OPTARG"
      ;;
    : )
      echo "Invalid option: $OPTARG" 1>&2
      exit 1
      ;;
  esac
done
shift $((OPTIND -1))

if [ ! -f "$file" ]; then
  sudo mkdir -p /etc/wpa_supplicant/
  echo "ctrl_interface=/run/wpa_supplicant
update_config=1
" | sudo tee "$file" >/dev/null
fi

# Validate arguments
if [ -z "$ssid" ]; then
  echo "invalid-args"
  exit 1
fi

key="WPA-PSK"
if [ -z "$psk" ]; then
  key="NONE"
fi

echo "
network={
  ssid=\"$ssid\"
  psk=\"$psk\"
  key_mgmt=\"$key\"
}
" | sudo tee -a "$file" >/dev/null

echo "ok"